rte_eth_pfc_queue_conf(3)

NAME
rte_eth_pfc_queue_conf

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_fc_mode mode

Detailed Description

Warning
    EXPERIMENTAL: this API may change, or be removed, without prior notice

A structure used to configure Ethernet priority flow control parameters for ethdev queues.

rte_eth_pfc_queue_conf::rx_pause structure shall be used to configure given tx_qid with corresponding tc. When ethdev device receives PFC frame with rte_eth_pfc_queue_conf::rx_pause::tc, traffic will be paused on rte_eth_pfc_queue_conf::rx_pause::tx_qid for that tc.

rte_eth_pfc_queue_conf::tx_pause structure shall be used to configure given rx_qid. When rx_qid is congested, PFC frames are generated with rte_eth_pfc_queue_conf::rx_pause::tc and rte_eth_pfc_queue_conf::rx_pause::pause_time to the peer.

Definition at line 1460 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_fc_mode mode
Link flow control mode

Definition at line 1461 of file rte_ethdev.h.

  uint16_t tx_qid
Tx queue ID

Definition at line 1464 of file rte_ethdev.h.

  uint8_t tc
Traffic class as per PFC (802.1Qbb) spec. The value must be in the range [0, rte_eth_pfc_queue_info::tx_max - 1]

Definition at line 1468 of file rte_ethdev.h.

  uint16_t pause_time
Pause quota in the Pause frame

Definition at line 1472 of file rte_ethdev.h.

  uint16_t rx_qid
Rx queue ID

Definition at line 1473 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.